slowdown_factor = 2.5

function round_3_sf (value)
	correction = 1
	while value >= 1000 do
		value = value/10
		correction = correction*10
	end
	while value < 100 do
		value = value*10
		correction = correction/10
	end
	return correction * math.floor (value + 0.5)
end

for _, value in pairs(data.raw["item"]) do
	fuel_string = value.fuel_value
	if fuel_string then
		value.fuel_value = (tonumber(string.sub(fuel_string, 1, -3)) * slowdown_factor) .. fuel_string:sub(-2)
	end
end


for _, value in pairs(data.raw["transport-belt"]) do
	value.speed = value.speed / slowdown_factor
end

for _, value in pairs(data.raw["transport-belt-to-ground"]) do
	value.speed = value.speed / slowdown_factor
end

for _, value in pairs(data.raw["splitter"]) do
	value.speed = value.speed / slowdown_factor
end

for _, value in pairs(data.raw["mining-drill"]) do
	value.mining_speed = round_3_sf (value.mining_speed / slowdown_factor)
end

for _, value in pairs(data.raw["furnace"]) do
	value.smelting_speed = round_3_sf (value.smelting_speed / slowdown_factor)
end

 for _, value in pairs(data.raw["inserter"]) do
	value.extension_speed = value.extension_speed / slowdown_factor
	value.rotation_speed = value.rotation_speed / slowdown_factor
	value.energy_per_movement = value.energy_per_movement * slowdown_factor
	value.energy_per_rotation = value.energy_per_rotation * slowdown_factor
 end

for _, value in pairs(data.raw["assembling-machine"]) do
	value.crafting_speed = round_3_sf (value.crafting_speed / slowdown_factor)
end

for _, value in pairs(data.raw["logistic-robot"]) do
	value.speed = value.speed / slowdown_factor
end

for _, value in pairs(data.raw["lab"]) do
	power_string = value.energy_usage
	value.energy_usage = (tonumber(string.sub(power_string, 1, -3)) / slowdown_factor) .. power_string:sub(-2)
	value.on_animation.animation_speed =value.on_animation.animation_speed * slowdown_factor
end

for _, value in pairs(data.raw["unit"]) do
	if value.pollution_to_join_attack then
		value.pollution_to_join_attack = value.pollution_to_join_attack * slowdown_factor
	end
end

data.raw["map-settings"]["map-settings"].enemy_evolution.time_factor = data.raw["map-settings"]["map-settings"].enemy_evolution.time_factor / slowdown_factor
data.raw["map-settings"]["map-settings"].enemy_evolution.pollution_factor = data.raw["map-settings"]["map-settings"].enemy_evolution.pollution_factor / slowdown_factor