slow_down_factor = 2.5

data.raw["item"]["coal"].fuel_value = (8 * slow_down_factor) .. "MJ"
data.raw["item"]["raw-wood"].fuel_value = (4 * slow_down_factor) .. "MJ"
data.raw["item"]["solid-fuel"].fuel_value = (24 * slow_down_factor) .. "MJ"
data.raw["item"]["wood"].fuel_value = (0.6 * slow_down_factor) .. "MJ"
data.raw["item"]["wooden-chest"].fuel_value = (6 * slow_down_factor) .. "MJ"

for _, value in pairs(data.raw["transport-belt"]) do
	value.speed = value.speed / slow_down_factor
end

for _, value in pairs(data.raw["transport-belt-to-ground"]) do
	value.speed = value.speed / slow_down_factor
end

for _, value in pairs(data.raw["splitter"]) do
	value.speed = value.speed / slow_down_factor
end

for _, value in pairs(data.raw["mining-drill"]) do
	value.mining_speed = value.mining_speed / slow_down_factor
end

for _, value in pairs(data.raw["furnace"]) do
	value.smelting_speed = value.smelting_speed / slow_down_factor
end

 for _, value in pairs(data.raw["inserter"]) do
	value.extension_speed = value.extension_speed / slow_down_factor
	value.rotation_speed = value.rotation_speed / slow_down_factor
	value.energy_per_movement = value.energy_per_movement * slow_down_factor
	value.energy_per_rotation = value.energy_per_rotation * slow_down_factor
 end

for _, value in pairs(data.raw["assembling-machine"]) do
	value.crafting_speed = value.crafting_speed / slow_down_factor
end

for _, value in pairs(data.raw["logistic-robot"]) do
	value.speed = value.speed / slow_down_factor
end

data.raw["lab"]["lab"].energy_usage = (60 / slow_down_factor) .. "kW"
data.raw["lab"]["lab"].on_animation.animation_speed = data.raw["lab"]["lab"].on_animation.animation_speed * slow_down_factor

data.raw["unit"]["medium-biter"].pollution_to_join_attack = data.raw["unit"]["medium-biter"].pollution_to_join_attack * slow_down_factor
data.raw["unit"]["small-biter"].pollution_to_join_attack = data.raw["unit"]["small-biter"].pollution_to_join_attack * slow_down_factor
data.raw["unit"]["big-biter"].pollution_to_join_attack = data.raw["unit"]["big-biter"].pollution_to_join_attack * slow_down_factor
data.raw["map-settings"]["map-settings"].enemy_evolution.time_factor = data.raw["map-settings"]["map-settings"].enemy_evolution.time_factor / slow_down_factor
data.raw["map-settings"]["map-settings"].enemy_evolution.pollution_factor = data.raw["map-settings"]["map-settings"].enemy_evolution.pollution_factor / slow_down_factor